import { EventEmitter } from '../../stencil-public-runtime';
export declare class NutsNotification {
  /**
   * Src for badge / avatar
   */
  badge: string;
  /**
   * Text content of the notification
   */
  content: string;
  /**
   * Date of the notification
   */
  date: string;
  /**
   * Wether or not to show notification settings
   */
  showSettings: boolean;
  /**
   * Wether or not the item has been read
   */
  read: boolean;
  /**
   * Wether or not the item has been seen
   */
  seen: boolean;
  /**
   * Language code of the content
   */
  language: string;
  /**
   * Unique ID of the user who receives the notification
   */
  userId: string;
  /**
   * Unique ID of the notification content
   */
  messageId: string;
  /**
   * Unique ID of the operator domain
   */
  operatorId: string;
  /**
   * Token used in authorization of notification transactions
   */
  token: string;
  /**
   * Endpoint for notification transactions
   */
  backendUrl: string;
  /**
   * Redirect address in case of external url
   */
  redirectUrl: string;
  /**
   * Determines notification behaviour onClick
   */
  notificationAction: string;
  /**
   * Custom styling passed as a URL
   */
  clientStylingUrl: string;
  /**
   * Translations via URL
   */
  translationUrl: string;
  /**
   * Clienty styling passed as a string
   */
  clientStyling: string;
  showSettingsModal: boolean;
  messageSeen: boolean;
  messageRead: boolean;
  private stylingContainer;
  private settingsButtonRef;
  private settingsModalRef;
  messageDeteled: EventEmitter<any>;
  settingsOpened: EventEmitter<any>;
  allNotificationsReadHandler(): void;
  settingsOpenedHandler(event: CustomEvent<any>): void;
  handleNewTranslations(): void;
  componentWillLoad(): Promise<void>;
  connectedCallback(): void;
  deleteMessage(messageId: string): void;
  markAsRead(messageId: string): void;
  toggleSettingsModal(e: any): void;
  notificationActionHandler(): void;
  setClientStyling: () => void;
  setClientStylingURL: () => void;
  render(): any;
}
