import { EventEmitter } from '../../stencil-public-runtime';
export declare class NutsPopover {
  /**
   * Language code of the content
   */
  language: string;
  /**
   * Unique ID of the user receiving notifications
   */
  userId: string;
  /**
   * Unique ID of the operator domain
   */
  operatorId: string;
  /**
   * Token used to authenticate notification transactions
   */
  token: string;
  /**
   * Endpoint used for notification transactions
   */
  backendUrl: string;
  /**
   * The count of unseen notifications
   */
  unseenCount: number;
  /**
   * Custom styling URL
   */
  clientStylingUrl: string;
  /**
   * Decides the behaviour of the notification onClick
   */
  notificationAction: string;
  /**
   * Custom styling string
   */
  clientStyling: string;
  /**
   * Translations via URL
   */
  translationUrl: string;
  private notifications;
  private isLoading;
  private showMarkAll;
  private numberOfNotifications;
  private currentPage;
  private stylingContainer;
  allNotificationsRead: EventEmitter<any>;
  messageDeteledHandler(event: CustomEvent<any>): void;
  newNotificationHandler(event: CustomEvent<any>): void;
  unseenCountHandler(newValue: number): void;
  handleNewTranslations(): void;
  componentWillLoad(): Promise<void>;
  getNotifications(page: number): void;
  markAllAsRead(): void;
  nextPage(): void;
  prevPage(): void;
  setClientStyling: () => void;
  setClientStylingURL: () => void;
  connectedCallback(): void;
  render(): any;
}
